package com.qmth.distributed.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 培养方案毕业要求支撑矩阵
 * </p>
 *
 * @author xf
 * @since 2024-06-05
 */
@TableName("obe_course_requirement_matrix")
@ApiModel(value = "ObeCourseRequirementMatrix对象", description = "培养方案毕业要求支撑矩阵")
public class ObeCourseRequirementMatrix extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "培养方案ID")
    private Long cultureProgramId;

    @ApiModelProperty(value = "专业认证课程ID")
    private Long obeCourseId;

    @ApiModelProperty(value = "专业认证毕业要求ID")
    private Long obeRequirementId;

    @ApiModelProperty(value = "子节点名称")
    private Long obeSubRequirementId;

    @ApiModelProperty(value = "指标值")
    private Double scale;

    @ApiModelProperty(value = "强度")
    private String intensity;

    public ObeCourseRequirementMatrix() {
    }

    public ObeCourseRequirementMatrix(Long cultureProgramId, Long obeCourseId, Long obeRequirementId, Long obeSubRequirementId) {
        this.cultureProgramId = cultureProgramId;
        this.obeCourseId = obeCourseId;
        this.obeRequirementId = obeRequirementId;
        this.obeSubRequirementId = obeSubRequirementId;
    }

    public Long getCultureProgramId() {
        return cultureProgramId;
    }

    public void setCultureProgramId(Long cultureProgramId) {
        this.cultureProgramId = cultureProgramId;
    }

    public Long getObeCourseId() {
        return obeCourseId;
    }

    public void setObeCourseId(Long obeCourseId) {
        this.obeCourseId = obeCourseId;
    }

    public Long getObeRequirementId() {
        return obeRequirementId;
    }

    public void setObeRequirementId(Long obeRequirementId) {
        this.obeRequirementId = obeRequirementId;
    }

    public Long getObeSubRequirementId() {
        return obeSubRequirementId;
    }

    public void setObeSubRequirementId(Long obeSubRequirementId) {
        this.obeSubRequirementId = obeSubRequirementId;
    }

    public Double getScale() {
        return scale;
    }

    public void setScale(Double scale) {
        this.scale = scale;
    }

    public String getIntensity() {
        return intensity;
    }

    public void setIntensity(String intensity) {
        this.intensity = intensity;
    }

    @Override
    public String toString() {
        return "ObeCourseRequirementMatrix{" +
                ", cultureProgramId=" + cultureProgramId +
                ", obeCourseId=" + obeCourseId +
                ", obeRequirementId=" + obeRequirementId +
                ", obeSubRequirementId=" + obeSubRequirementId +
                ", scale=" + scale +
                ", intensity=" + intensity +
                "}";
    }
}
